New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

libopenshot fails to build since ruby 2.4.1 #64

Closed
david-geiger opened this Issue Sep 19, 2017 · 3 comments

Comments

Projects
None yet
2 participants
@david-geiger

david-geiger commented Sep 19, 2017

Hi,

I tried to build latest release 0.1.8 but it fails to build with new ruby 2.4.1 (same with previous 0.1.7 release):

[ 75%] Swig source
cd /home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/build/src/bindings/ruby && /usr/bin/cmake -E make_directory /home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/build/src/bindings/ruby
cd /home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/build/src/bindings/ruby && /usr/bin/swig -ruby -outdir /home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/build/src/bindings/ruby -c++ -I/usr/include/ImageMagick-6 -I/usr/include -I/usr/include/libopenshot-audio -I/usr/lib/qt5/include -I/usr/lib/qt5/include/QtWidgets -I/usr/lib/qt5/include/QtGui -I/usr/lib/qt5/include/QtCore -I/usr/lib/qt5/./mkspecs/linux-g++ -I/usr/lib/qt5/include/QtMultimedia -I/usr/lib/qt5/include/QtNetwork -I/usr/lib/qt5/include/QtMultimediaWidgets -I/home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/src/../thirdparty/jsoncpp/include -I/home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/src/bindings/ruby -o /home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/build/src/bindings/ruby/openshotRUBY_wrap.cxx /home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/src/bindings/ruby/openshot.i
/home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/src/bindings/ruby/openshot.i:43: Error: Syntax error in input(1).
make[2]: *** [src/bindings/ruby/CMakeFiles/rbopenshot.dir/build.make:67: src/bindings/ruby/openshotRUBY_wrap.cxx] Error 1
make[2]: Leaving directory '/home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/build'
make[1]: *** [CMakeFiles/Makefile2:363: src/bindings/ruby/CMakeFiles/rbopenshot.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
make[2]: Entering directory '/home/iurt/rpmbuild/BUILD/libopenshot-0.1.8/build'

@david-geiger

This comment has been minimized.

Show comment
Hide comment
@david-geiger

david-geiger Jan 6, 2018

Hi,

Already a build issue here with the ruby bindings:

libopenshot-0.1.9-build-issue.txt

david-geiger commented Jan 6, 2018

Hi,

Already a build issue here with the ruby bindings:

libopenshot-0.1.9-build-issue.txt

@jonoomph

This comment has been minimized.

Show comment
Hide comment
@jonoomph

jonoomph Jan 6, 2018

Member

Does it work with previous versions of Ruby? Has this ever worked for you?

Member

jonoomph commented Jan 6, 2018

Does it work with previous versions of Ruby? Has this ever worked for you?

@david-geiger

This comment has been minimized.

Show comment
Hide comment
@david-geiger

david-geiger Jan 7, 2018

Before ruby 2.4 (with 2.2) it worked fine, no issue during build.

david-geiger commented Jan 7, 2018

Before ruby 2.4 (with 2.2) it worked fine, no issue during build.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment